﻿using OpenTK;
using OpenTK.Graphics;
using OpenTK.Graphics.OpenGL;

namespace Engine
{
    class Renderable
    {
        private Color4 _color;
        private ColorShaderProgram _program;
        private Transform _xform;

        public Renderable(ColorShaderProgram program)
        {
            _program = program;
            _color = Color4.White;
            _xform = new Transform();
        }

        public virtual void Draw(Matrix4 vpMatrix)
        {
            _program.ActiveShaderProgram(_color, vpMatrix);
            _program.LoadObjectTransform(_xform.GetXform());
            GL.DrawArrays(PrimitiveType.TriangleStrip, 0, 4);
        }

        public Transform GetXform()
        {
            return _xform;
        }

        public void SetColor(Color4 color)
        {
            _color = color;
        }

        public Color4 GetColor()
        {
            return _color;
        }
    }
}
