﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Engine
{
    public class ResourceMap
    {
        // Singleton things
        private static ResourceMap _instance;
        // Private constructor
        private ResourceMap() { }
        // Get instance
        public static ResourceMap GetInstance()
        {
            if (_instance == null)
            {
                _instance = new ResourceMap();
            }
            return _instance;
        }

        private Dictionary<string, int> textureIDs = new Dictionary<string, int>();

        public void SaveTextureID(string textureName, int textureID)
        {
            textureIDs.Add(textureName, textureID);
        }

        public int GetTextureID(string textureName)
        {
            return textureIDs[textureName];
        }
    }
}
