﻿using OpenTK.Graphics;
using OpenTK;

namespace Engine
{
    class TextureRenderable : Renderable
    {
        private string _textureName;

        public TextureRenderable(TextureShaderProgram program, string textureName)
            : base(program)
        {
            SetColor(new Color4(1f, 1f, 1f, 0f));
            _textureName = textureName;
        }

        public override void Draw(Matrix4 vpMatrix)
        {
            Textures.GetInstance().ActiveTexture(_textureName);
            base.Draw(vpMatrix);
        }
    }
}
