﻿using OpenTK;
using OpenTK.Graphics;
using OpenTK.Graphics.OpenGL;

namespace Engine
{
    class TextureShaderProgram : ColorShaderProgram
    {
        private int _samplerLocation;

        public TextureShaderProgram(
            string vertexShaderPath, string fragmentShaderPath,
            int vertexBuffer, int textureBuffer)
            : base(vertexShaderPath, fragmentShaderPath, vertexBuffer)
        {
            GL.BindBuffer(BufferTarget.ArrayBuffer, textureBuffer);
            GL.VertexAttribPointer(1, 2, VertexAttribPointerType.Float, false, 0, 0);
            GL.EnableVertexAttribArray(1);

            _samplerLocation = GL.GetUniformLocation(_program, "uSampler");

            GL.UseProgram(_program);
            // Set the texture unit 0 to the sampler
            GL.Uniform1(_samplerLocation, 0);
        }
    }
}
