﻿using OpenTK;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Engine
{
    public class Transform
    {
        private Vector2 _position;
        private Vector2 _scale;

        public Transform()
        {
            _position = new Vector2(0f, 0f);
            _scale = new Vector2(1f, 1f);
        }

        public void SetPosition(float x, float y)
        {
            _position.X = x;
            _position.Y = y;
        }

        public void SetSize(float width, float height)
        {
            _scale.X = width;
            _scale.Y = height;
        }

        public Matrix4 GetXform()
        {
            Matrix4 matrix =
                Matrix4.CreateScale(_scale.X, _scale.Y, 1f) *
                Matrix4.CreateTranslation(_position.X, _position.Y, 0f);
            return matrix;
        }
    }
}
